package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Data
@Entity
@Table(name = "custom_activity_deposit_raffle_volume")
public class CustomActivityDepositRaffleVolumeTable extends BaseTable {

    private Long customId;

    private Long cId;

    private Float volume;

    private Date startDate;

    private Date endDate;

    public static CustomActivityDepositRaffleVolumeTable getInstance(){
        CustomActivityDepositRaffleVolumeTable table = new CustomActivityDepositRaffleVolumeTable();
        table.setVolume(0F);
        return table;
    }

}
